/// <reference types="node" />
import { messages } from 'cucumber-messages';
import { Readable } from 'stream';
declare function fromPaths(paths: string[], options?: IGherkinOptions): Readable;
declare function fromSources(sources: messages.Source[], options?: IGherkinOptions): Readable;
declare function dialects(): {
    [key: string]: Dialect;
};
interface IGherkinOptions {
    defaultDialect?: string;
    includeSource?: boolean;
    includeGherkinDocument?: boolean;
    includePickles?: boolean;
}
interface Dialect {
    name: string;
    native: string;
    feature: readonly string[];
    background: readonly string[];
    rule: readonly string[];
    scenario: readonly string[];
    scenarioOutline: readonly string[];
    examples: readonly string[];
    given: readonly string[];
    when: readonly string[];
    then: readonly string[];
    and: readonly string[];
    but: readonly string[];
}
export { fromPaths, fromSources, dialects };
